package com.yunfeiyun.agmp.common.web.system.domain;

import com.yunfeiyun.agmp.common.annotation.IdentifyId;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 区域配置表 SysCusarea
 * 
 * @author 杨晓辉
 */
public class SysCusarea extends BaseEntity
{

    /** 区域id */
    @IdentifyId
    private String cusareaId;

    /** 区域名称 */
    private String cusareaName;

    /** 父级id */
    private String cusareaParentid;

    /** 层级 */
    private String cusareaLevel;

    /** 层级名称 */
    private String cusareaLevelname;

    /** 排序 */
    private String cusareaSeq;

    /** 创建时间 */
    private String cusareaCreateddate;

    public String getCusareaId() {
        return cusareaId;
    }

    public void setCusareaId(String cusareaId) {
        this.cusareaId = cusareaId;
    }

    public String getCusareaName() {
        return cusareaName;
    }

    public void setCusareaName(String cusareaName) {
        this.cusareaName = cusareaName;
    }

    public String getCusareaParentid() {
        return cusareaParentid;
    }

    public void setCusareaParentid(String cusareaParentid) {
        this.cusareaParentid = cusareaParentid;
    }

    public String getCusareaLevel() {
        return cusareaLevel;
    }

    public void setCusareaLevel(String cusareaLevel) {
        this.cusareaLevel = cusareaLevel;
    }

    public String getCusareaLevelname() {
        return cusareaLevelname;
    }

    public void setCusareaLevelname(String cusareaLevelname) {
        this.cusareaLevelname = cusareaLevelname;
    }

    public String getCusareaSeq() {
        return cusareaSeq;
    }

    public void setCusareaSeq(String cusareaSeq) {
        this.cusareaSeq = cusareaSeq;
    }

    public String getCusareaCreateddate() {
        return cusareaCreateddate;
    }

    public void setCusareaCreateddate(String cusareaCreateddate) {
        this.cusareaCreateddate = cusareaCreateddate;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("cusareaId", getCusareaId())
            .append("cusareaName", getCusareaName())
            .append("cusareaParentid", getCusareaParentid())
            .append("cusareaLevel", getCusareaLevel())
            .append("cusareaLevelname", getCusareaLevelname())
            .append("cusareaSeq", getCusareaSeq())
            .append("cusareaCreateddate", getCusareaCreateddate())
            .toString();
    }
}
